Subject: Re: bug#49220: LuaJIT on powerpc64le-linux-gnu (POWER9)?

From: Efraim Flashner <[email-masked]>
Date: Mon, 28 Jun 2021 09:13:07 +0300

On Thu, Jun 24, 2021 at 11:15:01PM -0700, Chris Marusich wrote:
> Hi LuaJIT community,
> 
> Is anyone in the LuaJIT community actively working on adding support for
> the powerpc64le architecture?  Specifically, I am wondering about the
> powerpc64le-linux-gnu triplet, running on POWER9-based systems like the
> Talos II and Blackbird sold by Raptor Computing Systems.
> 
> I ask because LuaJIT has been packaged for Guix, but it currently fails
> to build on this platform, as explained in the following Guix bug
> report:
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=49220
> 
> Based on the error output, it seems that this platform just isn't
> supported yet:
> 

I have successfully built luajit on our ppc64le porter box using the
patch Debian uses to add powerpc64 support. I have tested it on my
32-bit powerpc machine and adding the patch breaks luajit for it, but I
think we can work something out.

¹ https://sources.debian.org/src/luajit/2.1.0%7Ebeta3+dfsg-6/debian/patches/0004-Add-ppc64-support-based-on-koriakin-GitHub-patchset.patch/

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted